Open CASCADE Technology: HLRBRep_ThePolyhedronToolOfInterCSurf Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
HLRBRep_ThePolyhedronToolOfInterCSurf Class Reference

`#include <HLRBRep_ThePolyhedronToolOfInterCSurf.hxx>`

## Static Public Member Functions
static const Bnd_Box & | Bounding (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)
static const Handle < Bnd_HArray1OfBox > & | ComponentsBounding (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)
static Standard_Real | DeflectionOverEstimation (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)
static Standard_Integer | NbTriangles (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)
static void | Triangle (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh, const Standard_Integer Index, Standard_Integer &P1, Standard_Integer &P2, Standard_Integer &P3)
static const gp_Pnt & | Point (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh, const Standard_Integer Index)
static Standard_Integer | TriConnex (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh, const Standard_Integer Triang, const Standard_Integer Pivot, const Standard_Integer Pedge, Standard_Integer &TriCon, Standard_Integer &OtherP)
static Standard_Boolean | IsOnBound (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh, const Standard_Integer Index1, const Standard_Integer Index2)
static Standard_Real | GetBorderDeflection (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)
static void | Dump (const HLRBRep_ThePolyhedronOfInterCSurf &thePolyh)

## Member Function Documentation

static const Bnd_Box& HLRBRep_ThePolyhedronToolOfInterCSurf::Bounding | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static const Handle< Bnd_HArray1OfBox >& HLRBRep_ThePolyhedronToolOfInterCSurf::ComponentsBounding | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static Standard_Real HLRBRep_ThePolyhedronToolOfInterCSurf::DeflectionOverEstimation | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static void HLRBRep_ThePolyhedronToolOfInterCSurf::Dump | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static Standard_Real HLRBRep_ThePolyhedronToolOfInterCSurf::GetBorderDeflection | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static Standard_Boolean HLRBRep_ThePolyhedronToolOfInterCSurf::IsOnBound | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh,
|  | const Standard_Integer | Index1,
|  | const Standard_Integer | Index2
| ) |  |
| static

static Standard_Integer HLRBRep_ThePolyhedronToolOfInterCSurf::NbTriangles | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh | ) |
| static

static const gp_Pnt& HLRBRep_ThePolyhedronToolOfInterCSurf::Point | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh,
|  | const Standard_Integer | Index
| ) |  |
| static

static void HLRBRep_ThePolyhedronToolOfInterCSurf::Triangle | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh,
|  | const Standard_Integer | Index,
|  | Standard_Integer & | P1,
|  | Standard_Integer & | P2,
|  | Standard_Integer & | P3
| ) |  |
| static

static Standard_Integer HLRBRep_ThePolyhedronToolOfInterCSurf::TriConnex | ( | const HLRBRep_ThePolyhedronOfInterCSurf & | thePolyh,
|  | const Standard_Integer | Triang,
|  | const Standard_Integer | Pivot,
|  | const Standard_Integer | Pedge,
|  | Standard_Integer & | TriCon,
|  | Standard_Integer & | OtherP
| ) |  |
| static

The documentation for this class was generated from the following file:

- HLRBRep_ThePolyhedronToolOfInterCSurf.hxx